
Foreman - Bug #1700

Large audit log takes a long time to pull up. (25 secs+)

06/21/2012 02:51 PM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Audit Log   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Need to set to debug, and see which query is taking a long time.

Associated revisions

Revision de3fb0d7 - 06/26/2012 08:22 AM - Amos Benari

fixes #1700 audit page performance improved

Added auditabale name and associated name columns.

Added username to audit table

Revision e2217aa6 - 06/26/2012 09:12 AM - Ohad Levy

minor fixing to audits search link, closes #1700

Revision a3b62913 - 06/27/2012 06:46 AM - Ohad Levy

ensure that migration script is a bit more rubost for audit uses, refs #1700

(sadly the audited gem alias the .user method, and sometime returns

strings and other times return a user object)

History

#1 - 06/21/2012 03:09 PM - Brian Gupta

- Assignee set to Ohad Levy

Debug output.. http://pastebin.com/w5VKWDxx

#2 - 06/21/2012 03:13 PM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

#3 - 06/26/2012 08:27 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset de3fb0d718467e9e8236b387044f725f8f5c1e34.

#4 - 06/26/2012 08:43 AM - Brian Gupta

Performance is a lot better, but I may have discovered a regression.

I'm not 100% sure if it's related, but now searching the audit history by user seems to be broken, and it was (Largely) working a couple days ago.

Mmmm. Testing further indicated that for example if my username is bgupta and my display name is "Brian Gupta", if I click on a name in the audit

list, it searchs for the display name, which doesn't work, but if I manually type in my login name (bgupta) into the search it works. Searching for the

Admin user audit still seems broken.
http://pastebin.com/w5VKWDxx
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/de3fb0d718467e9e8236b387044f725f8f5c1e34


#5 - 06/26/2012 08:51 AM - Ohad Levy

- Status changed from Closed to Assigned

- Target version set to 1.0

#6 - 06/26/2012 10:18 AM - Ohad Levy

- Status changed from Assigned to Closed

Applied in changeset e2217aa6294619cadbefba4f35f23f4f902f82f8.
